# Describes all of the functions for an event Returns a list of records with the specified event_id Endpoint: GET /functions/{tenantId}/public/event/{event_id} Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The tenant - `event_id` (string, required) The event_id to use to for record lookup ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.capacity_options` (object, required) - `Items.capacity_options.capacity` (number, required) - `Items.capacity_options.enable_wait_list` (boolean) If set, people can be placed on a wait list - `Items.capacity_options.waitlist_process_id` (string) The process to use for managing the waitlist - `Items.custom_field_values` (array) - `Items.custom_field_values.boolean_value` (boolean) The boolean value - `Items.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `Items.custom_field_values.file_url_value` (string) The pointer to a file value - `Items.custom_field_values.list_value` (array) The list value - `Items.custom_field_values.numeric_value` (number) The numeric value - `Items.custom_field_values.string_value` (string) The string value of the custom field - `Items.custom_field_values.table_value` (array) A list of objects (a table) - `Items.description` (string) Description of the function - `Items.display_order` (number) Display order - `Items.enable_capacity` (boolean) If set, the session has a capacity - `Items.enable_meal_options` (boolean) Whether or not meal options are available - `Items.enable_registration_questions` (boolean) If set, a user is prompted to answer questions during registration - `Items.end_date` (string) - `Items.event_id` (string, required) The event id - `Items.hide_from_portal` (boolean) This session is not displayed in the portal or available for registration - `Items.hide_from_schedule` (boolean) If selected, hide this session from the online schedule - `Items.id` (string, required) The unique, string identifier of this function - `Items.location` (string) - `Items.maximum_allowed_tickets` (number, required) The maximum # of tickets that can be purchased - `Items.meal_options` (array, required) - `Items.meal_options.description` (string) - `Items.meal_options.id` (string, required) - `Items.meal_options.items` (array) - `Items.meal_options.items.logistics_item_id` (string, required) The item ID - `Items.meal_options.items.quantity` (number) The quantity - `Items.meal_options.name` (string, required) - `Items.name` (string, required) The name of the function - `Items.purchase_restriction` (string) Enum: "by registration package", "disabled", "for all registrants" - `Items.registration_package_restrictions` (array, required) - `Items.registration_package_restrictions.maximum_allowed_tickets` (number) The maximum # of tickets; if unset, there is no maximum - `Items.registration_package_restrictions.registration_package_id` (string, required) The registration package - `Items.registration_question_options` (object, required) - `Items.registration_question_options.custom_fields` (array) The custom fields to display - `Items.registration_question_options.custom_fields.id` (string, required) The custom field - `Items.registration_question_options.custom_fields.label` (string) An optional label - `Items.registration_question_options.custom_fields.required` (boolean) Whether the field is required - `Items.registration_question_options.registration_instructions` (string) Instructions to show during registration for the session - `Items.registration_question_options.request_meal_preference` (boolean) If true, the meal preference should be requested - `Items.room_ids` (array) The room(s) where the function is located - `Items.sold_out` (boolean) Whether the function is sold out - `Items.start_date` (string) - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.type_id` (string, required) The type of function - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields